Package org.jfree.layouting.input.style.selectors

## Class CSSElementSelector

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.AbstractSelector
  - - org.jfree.layouting.input.style.selectors.CSSElementSelector

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSSelector`, `org.w3c.css.sac.ElementSelector`, `org.w3c.css.sac.Selector`, `org.w3c.css.sac.SimpleSelector`

      public class CSSElementSelector
      extends AbstractSelector
      implements org.w3c.css.sac.ElementSelector

  Creation-Date: 30.11.2005, 16:02:27
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Selector

      `SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSElementSelector​(short selectorType, java.lang.String namespace, java.lang.String localName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected SelectorWeight` | `createWeight​()` |
    `java.lang.String` | `getLocalName​()` | Returns the local part of the qualified name of this element.
    `java.lang.String` | `getNamespaceURI​()` | Returns the namespace URI of this element selector.
    `short` | `getSelectorType​()` | An integer indicating the type of `Selector`

    - ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

      `getWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSElementSelector

          public CSSElementSelector​(short selectorType,
                                    java.lang.String namespace,
                                    java.lang.String localName)

  - ### Method Detail

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI​()

      Returns the namespace URI of this element selector.

      `NULL` if this element selector can match any namespace.

      Specified by:
        `getNamespaceURI` in interface `org.w3c.css.sac.ElementSelector`

    - #### getLocalName

          public java.lang.String getLocalName​()

      Returns the local part of the qualified name of this element.

      `NULL` if this element selector can match any element.

Specified by:
  `getLocalName` in interface `org.w3c.css.sac.ElementSelector`

- #### getSelectorType

      public short getSelectorType​()

  An integer indicating the type of `Selector`
  Specified by:
    `getSelectorType` in interface `org.w3c.css.sac.Selector`

- #### createWeight

      protected SelectorWeight createWeight​()

  Specified by:
    `createWeight` in class `AbstractSelector`